package cn.superdesk.uniorder.dubbo.facade.invoice.common;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTaxRate;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTaxRateParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-23 15:30:45
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-23 15:30:45
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceTaxRateService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(InvoiceTaxRateParam param);

	@Deprecated
	void updateObj(InvoiceTaxRateParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	InvoiceTaxRate findById(Long id);

	@Deprecated
	PageInfo<InvoiceTaxRate> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<InvoiceTaxRate> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addInvoiceTaxRate(InvoiceTaxRateParam param);

	void updateInvoiceTaxRate(InvoiceTaxRateParam param);

	void deleteInvoiceTaxRate(Long id);

	InvoiceTaxRate findInvoiceTaxRateById(Long id);

	R<List<InvoiceTaxRate>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
